Notification List
Retreive all notifications.
Retreive all notifications.
storyden-session<token>page?stringPagination query parameters.
status?array<>Notification status.
OK
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integernotifications*array<>curl -X GET 'https://example.com/api/notifications'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "notifications": [ { "id": "string", "created_at": "2019-08-24T14:15:22Z", "event": "global_thread_published", "item": { "kind": "post", "ref": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "title": "string", "description": "string", "slug": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "visibility": "draft", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "reacts": [ { "id": "string", "emoji": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] } } ], "collections": { "in_collections": 0, "has_collected": true }, "likes": { "likes": 0, "liked": true }, "meta": {}, "body": "string", "body_links": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" } ] } }, "source": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "target": "string", "status": "unread" } ]}Invitation List GET
Retrieve all invitations for the authenticated account. This endpoint is useful for showing the user which invitations they have sent out and which ones have been accepted. If the requesting account is not an admin, the account_id query param must be equal to the ID of the requesting session account's ID. If the requesting account is an admin, the account_id query param may be used to retrieve invitations for a specific account. Otherwise, the endpoint will return all invitations for all accounts.
Notification Settings Get GET
Retrieve notification settings for the authenticated account.